
Figure - Bug #118388
【AF】【EVT3】【小窗模式】后台小窗进程和多任务管理窗口同时存在同一个进程（闲鱼）
2023-05-31 14:32 - 物联网测试组_TSCD 王维

Status: CLOSED Start date: 2023-05-31

Priority: Normal Due date:

Assignee: 物联网测试组_TSCD 王维 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0106.C104(X104)

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-06-02

Test Type: ST Root cause: 全屏应用在转换成小窗后未及时移除全屏的task

Description

【前提条件】

副屏正常工作

【测试步骤】

1.（任意选择应用）点击打开闲鱼

2.返回桌面

3.再次点开闲鱼

4.返回桌面

5.上滑进入多任务管理界面

7.点击闲鱼进入小窗模式

8.上滑进入多任务管理界面

【预期结果】

仅显示闲鱼的小窗进程

【测试结果】

小窗进程和多任务管理窗口都存在闲鱼进程

备注：必现

History

#1 - 2023-06-01 19:38 - CD FW-鲁凯峰

初步分析是通过RecentTasks#getRecentTasksImpl时没有过滤掉全屏Task导致的，还在进一步的分析中

#2 - 2023-06-02 17:00 - CD APP-王宏

- % Done changed from 0 to 50

■ Current conclusion

已提交

■ My analysis

全屏应用在转换成小窗后未及时移除全屏的task,现recent中已主动移除

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/204354

#3 - 2023-06-02 17:02 - CD APP-王宏

- Category changed from 窗口定制 to CD-APP
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/204354


- Status changed from New to ASSIGNED

- Assignee changed from CD FW-鲁凯峰 to CD APP-王宏

#4 - 2023-06-02 19:25 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

204354 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

AF:Launcher:Remove task in recents when id same with small windowTC-RID: 1201-0205302IssueID: TS-R-BUG-118388Change-Id:

Ie7bc7c26db647cfcc94846f5e632a17ff11bdbf5

#5 - 2023-06-02 19:27 - CD FW-廖涛

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王宏 to 物联网测试组_TSCD 王维

- % Done changed from 50 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-06-02

- Root cause set to 全屏应用在转换成小窗后未及时移除全屏的task

■ Current conclusion

已处理，代码已入库。

■ Next action

测试验证。

#6 - 2023-06-06 10:26 - SZTS_TEST 邹涛

- Status changed from RESOLVED to VERIFIED

在01.00.0107.C104版本验证通过

#7 - 2023-06-06 10:27 - SZTS_TEST 邹涛

- Status changed from VERIFIED to CLOSED

Files

xianyu.mp4 4.9 MB 2023-05-31 物联网测试组_TSCD 王维

xianyu.txt 4.85 MB 2023-05-31 物联网测试组_TSCD 王维
